## EmpathyGstAudioSink

EmpathyGstAudioSink

## Synopsis

                        EmpathyGstAudioSink;
    GstElement *        empathy_audio_sink_new              (void);
    void                empathy_audio_sink_set_volume       (EmpathyGstAudioSink *sink,
                                                             gdouble volume);
    gdouble             empathy_audio_sink_get_volume       (EmpathyGstAudioSink *sink);

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBin
                         +----EmpathyGstAudioSink

## Implemented Interfaces

EmpathyGstAudioSink implements GstChildProxy.

## Properties

      "volume"                   gdouble               : Read / Write

## Description

## Details

### EmpathyGstAudioSink

    typedef struct _EmpathyGstAudioSink EmpathyGstAudioSink;

### empathy_audio_sink_new ()

    GstElement *        empathy_audio_sink_new              (void);

Returns : |

### empathy_audio_sink_set_volume ()

    void                empathy_audio_sink_set_volume       (EmpathyGstAudioSink *sink,
                                                             gdouble volume);

`sink` : |
`volume` : |

### empathy_audio_sink_get_volume ()

    gdouble             empathy_audio_sink_get_volume       (EmpathyGstAudioSink *sink);

`sink` : |
Returns : |

## Property Details

### The `"volume"` property

      "volume"                   gdouble               : Read / Write

volume control.

Allowed values: [0,5]

Default value: 1